Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawablePath Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePath:
[legend]
Collaboration diagram for Magick::DrawablePath:
[legend]

## Public Member Functions
| DrawablePath (const VPathList &path_)
| DrawablePath (const DrawablePath &original_)
| ~DrawablePath (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1184 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawablePath() [1/2]

Magick::DrawablePath::DrawablePath | ( | const VPathList & | path_ | ) |

Definition at line 866 of file Drawable.cpp.

## ◆ DrawablePath() [2/2]

Magick::DrawablePath::DrawablePath | ( | const DrawablePath & | original_ | ) |

Definition at line 870 of file Drawable.cpp.

## ◆ ~DrawablePath()

Magick::DrawablePath::~DrawablePath | ( | void |  | ) |

Definition at line 875 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawablePath::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 888 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawablePath::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 878 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp